Bug 434412 - bitgtkmm failed massrebuild attempt for GCC 4.3
bitgtkmm failed massrebuild attempt for GCC 4.3
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: bitgtkmm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rick L Vinyard Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:21 EST by Jesse Keating
Modified: 2013-01-09 22:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 10:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:21:23 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=444582
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-03-02 01:24:19 EST
scratch build 483426
Comment 2 Jon Stanley 2008-03-02 03:02:14 EST
buffertable.h:42: error: 'bit::FieldBase::pointer' has not been declared
buffertable.h:44: error: 'bit::RecordBuffer::pointer' has not been declared
buffertable.h:67: error: 'pointer' is not a member of 'bit::FieldBase'
buffertable.h:67: error: 'pointer' is not a member of 'bit::FieldBase'
buffertable.h:67: error: template argument 1 is invalid
buffertable.h:67: error: template argument 3 is invalid
buffertable.h:67: error: template argument 4 is invalid
buffertable.h:69: error: 'pointer' in class 'bit::RecordBuffer' does not name a type
buffertable.h:70: error: 'pointer' in class 'bit::FieldBase' does not name a type
buffertable.h:84: error: 'bit::FieldBase::pointer' has not been declared
buffertable.h:86: error: 'bit::FieldBase::pointer' has not been declared
buffertable.h:90: error: 'bit::FieldBase::pointer' has not been declared
buffertable.h:91: error: 'bit::FieldBase::pointer' has not been declared
buffertable.h:93: error: 'bit::FieldBase::pointer' has not been declared
buffertable.h:94: error: 'bit::FieldBase::pointer' has not been declared
buffertable.h: In constructor 'bitGtk::BufferTable::BufferTable()':
buffertable.h:76: warning: 'bitGtk::BufferTable::m_display_bit_width' will be
initialized after
buffertable.h:73: warning:   'bool bitGtk::BufferTable::m_highlighter_enabled'
buffertable.cpp:27: warning:   when initialized here
buffertable.cpp: At global scope:
buffertable.cpp:58: error: variable or field 'set_buffer' declared void
buffertable.cpp:58: error: 'pointer' is not a member of 'bit::RecordBuffer'
buffertable.cpp:78: error: variable or field 'set_record' declared void
buffertable.cpp:78: error: 'pointer' is not a member of 'bit::FieldBase'
buffertable.cpp: In member function 'void bitGtk::BufferTable::setup_table()':
buffertable.cpp:106: error: 'm_record' was not declared in this scope
buffertable.cpp:115: error: request for member 'clear' in
'((bitGtk::BufferTable*)this)->bitGtk::BufferTable::m_fieldbox', which is of
non-class type 'int'
buffertable.cpp:118: error: 'm_record' was not declared in this scope
buffertable.cpp: At global scope:
buffertable.cpp:135: error: variable or field 'create_fieldboxes' declared void
buffertable.cpp:135: error: 'pointer' is not a member of 'bit::FieldBase'
buffertable.cpp:353: error: expected `}' at end of input
Comment 3 Rick L Vinyard Jr 2008-04-02 10:56:37 EDT
This package is now redundant. The bitgtkmm library has been folded into the bit
library.

Note You need to log in before you can comment on or make changes to this bug.